summaryrefslogtreecommitdiffstats
path: root/gold/mining/bin/ensure-router
diff options
context:
space:
mode:
authorEUcancER <root@euer.krebsco.de>2011-08-25 18:43:50 +0200
committerEUcancER <root@euer.krebsco.de>2011-08-25 18:43:50 +0200
commit7499b82d0d8be67079c91e6d3b277dd65142c8ba (patch)
treec729ce62e9a12af2f399b60f284bef2d4dca1e81 /gold/mining/bin/ensure-router
parentb56137d875f43026aeabcc4403252e5e7008b93a (diff)
parent561f37e4a24061bd70113ebc7951175e0d3e116f (diff)
Merge branch 'master' of https://github.com/krebscode/painload
Diffstat (limited to 'gold/mining/bin/ensure-router')
-rwxr-xr-xgold/mining/bin/ensure-router36
1 files changed, 36 insertions, 0 deletions
diff --git a/gold/mining/bin/ensure-router b/gold/mining/bin/ensure-router
new file mode 100755
index 00000000..5eedabc9
--- /dev/null
+++ b/gold/mining/bin/ensure-router
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+if test "${nosudo-false}" != true -a `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo "$0" "$@"
+ exit 23 # go to hell
+fi
+
+if=eth2
+
+rc() {
+ for x in /etc/init.d/$1 /etc/rc.d/$1; do
+ if test -x $x; then
+ $x restart
+ break
+ fi
+ done
+}
+
+if ! ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500; ifconfig $if 0.0.0.0 down || :
+ beep -l 50 -f 2500; ifconfig $if 23.0.0.1/8 up || :
+ beep -l 50 -f 2500; rc dnsmasq restart
+ beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o wlan0 -j MASQUERADE
+ beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o eth2 -j MASQUERADE
+ if ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500 -n -l 100 -f 3000
+ else
+ beep -l 50 -f 2500 -n -l 100 -f 1000
+ fi
+else
+ case "${1-}" in
+ (--quiet) : ;;
+ (*) beep -l 50 -f 2500 -n -l 100 -f 2500 ;;
+ esac
+fi